SDL_IN_BYTECAP(3)

NAME
SDL_IN_BYTECAP - Macro that annotates function params with input buffer size.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_IN_BYTECAP(x) _In_bytecount_(x)

DESCRIPTION
If we were to annotate memcpy:

        void *memcpy(void *dst, SDL_IN_BYTECAP(len) const void *src, size_t len);

This notes that src should be len bytes in size and is only read by the function. The compiler or other analysis tools can warn when this doesn't appear to be the case.

On compilers without this annotation mechanism, this is defined to nothing.

AVAILABILITY
This macro is available since SDL 3.2.0.